Loading...
Searching...
No Matches
osmium::io::InputIteratorRange< TSource, TItem > Class Template Reference

`#include <input_iterator.hpp>`

Collaboration diagram for osmium::io::InputIteratorRange< TSource, TItem >:
[legend]

## Public Member Functions

| InputIteratorRange (InputIterator< TSource, TItem > &&begin, InputIterator< TSource, TItem > &&end)
InputIterator< TSource, TItem > | begin () const noexcept
InputIterator< TSource, TItem > | end () const noexcept
InputIterator< TSource, TItem > | cbegin () const noexcept
InputIterator< TSource, TItem > | cend () const noexcept

## Private Attributes

InputIterator< TSource, TItem > | m_begin
InputIterator< TSource, TItem > | m_end

## Constructor & Destructor Documentation

## InputIteratorRange()

template<typename TSource, typename TItem = osmium::memory::Item>

osmium::io::InputIteratorRange< TSource, TItem >::InputIteratorRange | ( | InputIterator< TSource, TItem > && | begin,
|  | InputIterator< TSource, TItem > && | end )

inline

## Member Function Documentation

## begin()

template<typename TSource, typename TItem = osmium::memory::Item>

InputIterator< TSource, TItem > osmium::io::InputIteratorRange< TSource, TItem >::begin | ( |  | ) | const

inlinenoexcept

## cbegin()

template<typename TSource, typename TItem = osmium::memory::Item>

InputIterator< TSource, TItem > osmium::io::InputIteratorRange< TSource, TItem >::cbegin | ( |  | ) | const

inlinenoexcept

## cend()

template<typename TSource, typename TItem = osmium::memory::Item>

InputIterator< TSource, TItem > osmium::io::InputIteratorRange< TSource, TItem >::cend | ( |  | ) | const

inlinenoexcept

## end()

template<typename TSource, typename TItem = osmium::memory::Item>

InputIterator< TSource, TItem > osmium::io::InputIteratorRange< TSource, TItem >::end | ( |  | ) | const

inlinenoexcept

## Member Data Documentation

## m_begin

template<typename TSource, typename TItem = osmium::memory::Item>

InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::m_begin

private

## m_end

template<typename TSource, typename TItem = osmium::memory::Item>

InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::m_end

private

The documentation for this class was generated from the following file:

- include/osmium/io/input_iterator.hpp